Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236271 - dm-mirror: Writes to mirror after log failure return EIO
Summary: dm-mirror: Writes to mirror after log failure return EIO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 19:39 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:46:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Jonathan Earl Brassow 2007-04-12 19:39:39 UTC
if the log device fails in device-mapper mirroring, writes will return EIO. 
This is due to the fact that the log must have a valid representation of the
state of a mirror before the write occurs.

It is now possible to requeue I/Os to device-mapper core when a log device dies.
 This means that we can hold the writes until the mirror has been reconfigured -
obviating the need to return EIOs.

Comment 1 Rob Kenna 2007-04-16 20:59:02 UTC
pm-ack for 5.1.  Cleans up error processing of mirrors.

Comment 2 Jay Turner 2007-05-03 19:25:17 UTC
QE ack for RHEL5.1.

Comment 3 Jonathan Earl Brassow 2007-05-08 18:15:16 UTC
assigned -> post


Comment 4 Don Zickus 2007-06-27 15:51:36 UTC
in 2.6.18-32.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 errata-xmlrpc 2007-11-07 19:46:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.